Subject: Ticket Assigned - 1 item still not delivered!
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jun 2021 05:06:12 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  1 item still not delivered! Dear management,   I have been contacted the Customer service regarding about my undelivered item . I order 6 items on 18th of June and only only received 5 items through delivery courier. Because 1 item from baby shop Summer infant stairway gate  KD31.30 scheduled to be deliver on 22th of June. But it didn’t come, the same day I called Customer service and they told me that the Baby shop team will contact me to reply schedule the delivery day but no one does. Again I called the CS yesterday and told me the item will deliver before 8Pm and again it didn’t come. So I called the Cs again he informed me the he will wire to contact the team to call me and inform me about my order status so o waited again but no one called till 2am I called the Cs again I was so disappointed and frustrated why it seems all of you keep promising to do the needful when it seems it doesn’t. Less communication. Unprofessional. The CD agent I have spoke at 2am hung up the phone 3x . I been very patience with you but you exceed my limit. O have to skip my work for 3 days because I thought when you said scheduled it should be done the same day.. please get backt with me a soon as possible and contact with your team about my order.  order #8271140428

Kindly see the attached picture below for your reference.

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2764281